List messages (inbox + outbox) on a number
curl --request GET \
--url https://api.mobilerun.ai/numbers/phones/{id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mobilerun.ai/numbers/phones/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mobilerun.ai/numbers/phones/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"esimId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "inbound",
"status": "received",
"peerNumber": "<string>",
"peerKey": "<string>",
"body": "<string>",
"deliveryStatus": "<string>",
"detectedSender": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
}
}
}{
"error": "<string>"
}{
"success": false,
"reason": "product_disabled",
"message": "<string>"
}Numbers
List messages (inbox + outbox) on a number
Returns SMS messages on the number, inbound and outbound, scoped to the authenticated user. Newest first. Messages stay with the number across device switches.
GET
/
numbers
/
phones
/
{id}
/
messages
List messages (inbox + outbox) on a number
Authorizations
Bearer token via Authorization header
Path Parameters
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 200Available options:
all, inbound, outbound Response
Messages retrieved
Show child attributes
Show child attributes
Was this page helpful?
⌘I